Unbind
Variables

List Available Variable References

List the sources and keys a service's variables can reference: team, project and environment variables, and the variables and Unbind-provided addresses of every service in the project, the service itself included. A key of a service is referenced as ${{service:<source_id>.KEY}}, the others as ${{team.KEY}}, ${{project.KEY}} and ${{environment.KEY}}.

GET
/variables/references/available

List the sources and keys a service's variables can reference: team, project and environment variables, and the variables and Unbind-provided addresses of every service in the project, the service itself included. A key of a service is referenced as ${{service:<source_id>.KEY}}, the others as ${{team.KEY}}, ${{project.KEY}} and ${{environment.KEY}}.

Authorization

bearerAuth
AuthorizationBearer <token>

Access token or API key (unb_...) passed as Authorization: Bearer <token>.

In: header

Query Parameters

team_id*string
project_id*string
environment_id*string
service_id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/variables/references/available?team_id=string&project_id=string&environment_id=string&service_id=string"
{  "data": [    {      "keys": [        "string"      ],      "source_icon": "string",      "source_id": "ae50a35c-df42-4eff-ba26-f8bc28d2af81",      "source_kubernetes_name": "string",      "source_name": "string",      "source_type": "team",      "type": "variable"    }  ]}